Return one certificate or list multiple certificates in the Tyk Gateway given a comma separated list of cert IDs.
curl --request GET \
--url https://{tenant}/tyk/certs/{certID} \
--header 'X-Tyk-Authorization: <api-key>'import requests
url = "https://{tenant}/tyk/certs/{certID}"
headers = {"X-Tyk-Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Tyk-Authorization': '<api-key>'}};
fetch('https://{tenant}/tyk/certs/{certID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dns_names": [
".*tyk.io"
],
"fingerprint": "7c440d66ebb0a4629d21329808dce9091acf5f2fde328067a6e60e5347271d90",
"has_private": false,
"id": "5e9d9544a1dcd60001d0ed207c440d66ebb0a4629d21329808dce9091acf5f2fde328067a6e60e5347271d90",
"is_ca": false,
"issuer": {
"CommonName": "tyk.io",
"Country": [
"Peachtree"
],
"ExtraNames": null,
"Locality": null,
"Names": [
{
"Type": [
2,
5,
4,
6
],
"Value": "Peachtree"
},
{
"Type": [
2,
5,
4,
10
],
"Value": "tyk"
},
{
"Type": [
2,
5,
4,
11
],
"Value": "tyk"
},
{
"Type": [
2,
5,
4,
3
],
"Value": "tyk.io"
},
{
"Type": [
1,
2,
840,
113549,
1,
9,
1
],
"Value": "support@tyk.io"
}
],
"Organization": [
"tyk"
],
"OrganizationalUnit": [
"tyk"
],
"PostalCode": null,
"Province": null,
"SerialNumber": "",
"StreetAddress": null
},
"not_after": "2034-03-26T08:46:37Z",
"not_before": "2024-03-25T08:46:37Z",
"subject": {
"CommonName": "tyk.io",
"Country": [
"Peachtree"
],
"ExtraNames": null,
"Locality": null,
"Names": [
{
"Type": [
2,
5,
4,
6
],
"Value": "Peachtree"
},
{
"Type": [
2,
5,
4,
10
],
"Value": "tyk"
},
{
"Type": [
2,
5,
4,
11
],
"Value": "tyk"
},
{
"Type": [
2,
5,
4,
3
],
"Value": "tyk.io"
},
{
"Type": [
1,
2,
840,
113549,
1,
9,
1
],
"Value": "support@tyk.io"
}
],
"Organization": [
"tyk"
],
"OrganizationalUnit": [
"tyk"
],
"PostalCode": null,
"Province": null,
"SerialNumber": "",
"StreetAddress": null
}
}Certs
Return one certificate or list multiple certificates in the Tyk Gateway given a comma separated list of cert IDs.
Note that the certID path parameter can take a list of certIDs separated with commas (e.g /tyk/certs/certIDOne,certIDTwo). If you send a single certID it will return a single CertificateMeta object otherwise if you send more than two certIDs is will return an array of certificateMeta objects.
GET
/
tyk
/
certs
/
{certID}
Return one certificate or list multiple certificates in the Tyk Gateway given a comma separated list of cert IDs.
Authorizations
Api key
Path Parameters
Comma separated list of certificates to list.
Response
object | object[] | null
OK
- object
- object[]
Example:
[".*tyk.io"]
Example:
"7c440d66ebb0a4629d21329808dce9091acf5f2fde328067a6e60e5347271d90"
Example:
false
Example:
"5e9d9544a1dcd60001d0ed207c440d66ebb0a4629d21329808dce9091acf5f2fde328067a6e60e5347271d90"
Example:
"2034-03-26T08:46:37Z"
Example:
"2024-03-25T08:46:37Z"
Was this page helpful?
⌘I